#!/bin/bash
#=
PROJECT_DIR=$(dirname $(dirname $(realpath "${BASH_SOURCE[0]}")))
FLAGS=
if [ "$1" = "--sysimage" -o "$1" = "-J" ]; then FLAGS="--sysimage $2 "; shift 2; fi
if [ "${1:0:2}" = "-J" ]; then FLAGS="$1"; shift; fi
if [ "$1" = "open" ]; then FLAGS="$FLAGS -iq "; fi
if [ -z "$JULIA" ]; then JULIA=julia; fi
exec $JULIA --project="$PROJECT_DIR" --color=yes --startup-file=no $FLAGS\
    "${BASH_SOURCE[0]}" "$@"
=#

projectdir = dirname(Base.active_project())
include(joinpath(projectdir, "src/cli.jl")) # defines `main`

main();
